<?php
//<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
//sigurnost:
if (!defined('SIGURICA')) die('Nedozvoljen pristup!');
if ($prava_pristup_sadrzaj!=1) die('Nedozvoljen pristup!');

//paragrafi koje se ne brišu:
$data_paragraf=explode(",",$parametar_dontdel_paragraf);

$id_str=$_GET[id_str];

//naslovi od kategorije i stranice
$sql = "select naslov from b7_kategorija where id_kategorija='$id_kat'";
$rez = mysql_query($sql, $conn);
$row = mysql_fetch_array($rez);
$kategorija_naslov= $row[0];

$sql98="SELECT naslov FROM b7_sadrzaj WHERE id_sadrzaj='$id_str'";	
$rez98=mysql_query($sql98,$conn);
$row98=mysql_fetch_array($rez98);
$stranica_naslov= $row98[0];


//ucitaj paragrafe
$sql99="
SELECT 
id_paragraf,
naslov ,
opis,
model,
maxpic,
prikaznaslov,
pozicija,
user,
datum,
published
FROM
b7_paragraf
WHERE 
id_sadrzaj='$id_str' 
ORDER BY pozicija ASC
";
$rez99=mysql_query($sql99,$conn);
$num99=mysql_num_rows($rez99);
$display='';
if ($num99>0) {
	$cur99=1;
	$display.=''."\n";
	$display.='<tr>'."\n";
	$display.='<th>ID</th>'."\n";
	$display.='<th>Pozicija</th>'."\n";
	$display.='<th>Naslov</th>'."\n";
	$display.='<th>Model</th>'."\n";
	$display.='<th colspan="4">Akcija</th>'."\n";
	$display.='</tr>'."\n";
	while ($num99>=$cur99) {
		$row99=mysql_fetch_array($rez99);
		$display.='<tr>'."\n";
		$display.='<td>'.$row99['id_paragraf'];
		if ($row99['published']==0) $display.= '<span class="nevidljiv">*</span>';
		$display.='</td>'."\n";		
		
		//pozicija
		if ($num99>1) {
			if ($cur99==1) {
				//prva strelica	
				$display.='<td align="center"><a href="glavna.php?modul='.$modul.'&amp;akcija=pomjeri_paragraf_dolje&amp;id_rub='.$id_rub.'&amp;id_kat='.$id_kat.'&amp;id_str='.$id_str.'&amp;id_par='.$row99['id_paragraf'].'&amp;pozicija='.$row99['pozicija'].'" onMouseover="ddrivetip(\'Pomjeri paragraf dolje za jedno mjesto\', 200)"; onMouseout="hideddrivetip()"><img src="slike/arrow_down.gif" width="16" height="16" border="0" alt="pomjeri dolje" /></a></td>'."\n";
			} else if ($cur99==$num99) {
				//zadnja strelica
				$display.='<td align="center"><a href="glavna.php?modul='.$modul.'&amp;akcija=pomjeri_paragraf_gore&amp;id_rub='.$id_rub.'&amp;id_kat='.$id_kat.'&amp;id_str='.$id_str.'&amp;id_par='.$row99['id_paragraf'].'&amp;pozicija='.$row99['pozicija'].'" onMouseover="ddrivetip(\'Pomjeri paragraf gore za jedno mjesto\', 200)"; onMouseout="hideddrivetip()"><img src="slike/arrow_up.gif" width="16" height="16" border="0" alt="pomjeri dolje" /></a></td>'."\n";
			} else {
				// dvije strelice
				$display.='<td><a href="glavna.php?modul='.$modul.'&amp;akcija=pomjeri_paragraf_dolje&amp;id_rub='.$id_rub.'&amp;id_kat='.$id_kat.'&amp;id_str='.$id_str.'&amp;id_par='.$row99['id_paragraf'].'&amp;pozicija='.$row99['pozicija'].'" onMouseover="ddrivetip(\'Pomjeri paragraf dolje za jedno mjesto\', 200)"; onMouseout="hideddrivetip()"><img src="slike/arrow_down.gif" width="16" height="16" border="0" alt="pomjeri dolje" /></a>'."\n";
				$display.='&nbsp;&nbsp;&nbsp;';
				$display.='<a href="glavna.php?modul='.$modul.'&amp;akcija=pomjeri_paragraf_gore&amp;id_rub='.$id_rub.'&amp;id_kat='.$id_kat.'&amp;id_str='.$id_str.'&amp;id_par='.$row99['id_paragraf'].'&amp;pozicija='.$row99['pozicija'].'" onMouseover="ddrivetip(\'Pomjeri paragraf gore za jedno mjesto\', 200)"; onMouseout="hideddrivetip()"><img src="slike/arrow_up.gif" width="16" height="16" border="0" alt="pomjeri dolje" /></a></td>'."\n";							
			}						
		} else {
			$display.='<td>&nbsp;</td>'."\n";
		}
		
		//naslov paragrafa
		$display.='<td>';
		if ($row99['prikaznaslov']==0) $display.='<i style="color:#999;">'; 
		$display.=$row99['naslov'];
		if ($row99['prikaznaslov']==0) $display.='</i>'; 
		$display.='</td>'."\n";
		
		//modeli
		$slika[1]='<img src="slike/gore.gif" width="20" height="29" border="0" alt="" />';
		$slika[2]='<img src="slike/lijevo.gif" width="20" height="29" border="0" alt="" />';
		$slika[3]='<img src="slike/desno.gif" width="20" height="29" border="0" alt="" />';		
		$slika[4]='<img src="slike/dolje.gif" width="20" height="29" border="0" alt="" />';
		$slika[5]='<img src="slike/lijevo_dolje.gif" width="20" height="29" border="0" alt="" />';
		$slika[6]='<img src="slike/desno_dolje.gif" width="20" height="29" border="0" alt="" />';		
		$slika[7]='<img src="slike/download.gif" width="20" height="29" border="0" alt="" />';
		$slika[8]='<img src="slike/phphtml.gif" width="20" height="29" border="0" alt="" />';
		
		//uređivanje sadržaja
		$display.='<td>'.$slika[$row99['model']].'</td>'."\n";
		if ($row99['model']==8) {
			//php paragraf
			$display.='<td colspan="3"><a href="glavna.php?modul='.$modul.'&amp;akcija=form_edit_paragraf_html&amp;id_rub='.$id_rub.'&amp;id_kat='.$id_kat.'&amp;id_str='.$id_str.'&amp;id_par='.$row99['id_paragraf'].'" onMouseover="ddrivetip(\'Uredite HTML/PHP kod te naslov i vidljivost naslova za ovaj paragraf\', 200)"; onMouseout="hideddrivetip()"><em>Uredi kod i naslov</em></a></td>'."\n";
		} else if ($row99['model']==7) {
			//download lista
			$display.='<td colspan="2"><a href="glavna.php?modul='.$modul.'&amp;akcija=form_edit_download&amp;id_rub='.$id_rub.'&amp;id_kat='.$id_kat.'&amp;id_str='.$id_str.'&amp;id_par='.$row99['id_paragraf'].'" onMouseover="ddrivetip(\'Uredite download listu te naslov i vidljivost naslova za ovaj paragraf\', 200)"; onMouseout="hideddrivetip()"><em>Uredi download listu</em></a></td>'."\n";			
		} else {
			//tekst i slike
			$display.='<td><a href="glavna.php?modul='.$modul.'&amp;akcija=form_edit_tekst&amp;id_rub='.$id_rub.'&amp;id_kat='.$id_kat.'&amp;id_str='.$id_str.'&amp;id_par='.$row99['id_paragraf'].'" onMouseover="ddrivetip(\'Uredite tekstualni sadržaj za ovaj paragraf\', 200)"; onMouseout="hideddrivetip()"><em>Tekst</em></a></td>'."\n";
			$display.='<td><a href="glavna.php?modul='.$modul.'&amp;akcija=display_slike&amp;id_rub='.$id_rub.'&amp;id_kat='.$id_kat.'&amp;id_str='.$id_str.'&amp;id_par='.$row99['id_paragraf'].'" onMouseover="ddrivetip(\'Uredite slike za ovaj paragraf\', 200)"; onMouseout="hideddrivetip()"><em>Slike</em></a></td>'."\n";
		}
		//parametri
		if ($row99['model']<8) {
			$display.='<td><a href="glavna.php?modul='.$modul.'&amp;akcija=form_edit_paragraf_parametri&amp;id_rub='.$id_rub.'&amp;id_kat='.$id_kat.'&amp;id_str='.$id_str.'&amp;id_par='.$row99['id_paragraf'].'" onMouseover="ddrivetip(\'Promjenite parametre za paragraf (naslov, vidljivost naslova...)\', 200)"; onMouseout="hideddrivetip()"><em>Parametri</em></a></td>'."\n";
		} 
		//brisanje
		$obrisi=1;					
		foreach($data_paragraf as $item) 
		{
			if ($item==$row99['id_paragraf']) $obrisi=0;
		}
		if ($obrisi==1) 
		{
			$display.='<td><a href="glavna.php?modul='.$modul.'&amp;akcija=delete_paragraf&amp;id_rub='.$id_rub.'&amp;id_kat='.$id_kat.'&amp;id_str='.$id_str.'&amp;id_par='.$row99['id_paragraf'].'" onMouseover="ddrivetip(\'Obrišite ovaj paragraf iz baze\', 200)"; onMouseout="hideddrivetip()" onclick="return verify()"><span class="delete"><em>Obriši</em></span></a></td>'."\n";
		} else {
			$display.='<td>&nbsp;</td>'."\n";
		}
		
		$display.='</tr>'."\n";
		$cur99++;
	}
} else {
	$display.='<br /><br /><b>Trenutno nema niti jednog paragrafa za ovu stranicu!</b>';
}
	
	
	
?>
<script type="text/javascript">
$(document).ready(function(){
//JQuery ready is quicker than onload
$(".stripeMe tr").mouseover(function() {$(this).addClass("over");}).mouseout(function() {$(this).removeClass("over");});
$(".stripeMe tr:even").addClass("alt");
});
</script>
<div id="main_content">
<h1>Lista paragrafa (sadržaja) za stranicu <em><?php echo $stranica_naslov; ?></em> u <em><?php echo $rubrika_naslov; ?></em>, kategorija <em><?php echo $kategorija_naslov; ?></em></h1>
<br /><a class="gray_normal" href="glavna.php?modul=<?php echo $modul;?>&amp;akcija=display_stranice_list&amp;id_rub=<?php echo $id_rub;?>&amp;id_kat=<?php echo $id_kat;?>">Povratak na listu stranica u kategoriji <em><?php echo $kategorija_naslov; ?></em></a>
<br /><br />
<form method="post" action="glavna.php?modul=<?php echo $modul;?>&amp;akcija=form_insert_new_paragraf&amp;id_rub=<?php echo $id_rub;?>&amp;id_kat=<?php echo $id_kat;?>&amp;id_str=<?php echo $id_str;?>" enctype="multipart/form-data">
Unos novog paragrafa (sadržaja) u stranici :
<select name="tip_paragrafa">
<option value="1" selected="selected">tekst i slike</option>
<option value="2">download lista</option>
<option value="3">HTML kod</option>
</select>
<input type="submit" value="pošalji" />
</form>


<table class="stripeMe" cellpadding="5" cellspacing="1" border="0">
<?php
echo $display;
?>
</table>    
    
</div>